package com.kupal.commons.cdm.impl;

import com.kupal.commons.cdm.Persistence;

/**
 * The default implementation of <code>Persistence</code>.
 *
 * @author Kupal
 *         Date: 28.06.2010
 *         Time: 16:50:25
 */
public abstract class AbstractPersistence extends AbstractDomain implements Persistence {

    @Override
    public boolean isPersistent() {
        return getId() != null && getId() > 0;
    }

    @Override
	public void executeBeforePersistAction() {
		//do nothing.
	}
}